Bitbucket Server のサポート終了のお知らせ

サポート対象プラットフォーム

このページの内容

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

Bitbucket Server のサポート終了マトリクス

以下の表は、 今後の Bitbucket Server (旧称 Stash) リリースでのサポート終了のお知らせを要約したものです。

プラットフォーム / 機能発表日Bitbucket Server でのサポート終了
Git 2.10 の廃止2018 年 8 月 7 日Bitbucket Server 6.0 ~
Elasticsearch 2.3 の廃止2018 年 1 月 11 日Bitbucket Server 6.0 ~
PostgreSQL 9.2.x の廃止2018 年 1 月 11 日Bitbucket Server 5.7 ~
データベース サポートの廃止2016 年 10 月 4 日Bitbucket Server 5.0 ~
Internet Explorer 10 の廃止2015 年 5 月 5 日Bitbucket Server 4.0 ~
Internet Explorer 9 の廃止2015 年 1 月 13 日Stash 3.10 ~
Java 7 の廃止2014 年 11 月 25 日Bitbucket Server 4.0 ~
v1.8 よりも前の Git バージョンの廃止2014 年 11 月 25 日Bitbucket Server 4.0 ~
Tomcat 7 の廃止2014 年 9 月 10 日Bitbucket Server 4.0 ~

アトラシアンがこれらのプラットフォームのサポートを終了する理由

アトラシアンは可能なかぎり迅速に製品の改善とバグの修正をお届けするよう努めています。同時に、お客様に対して、弊社のソフトウェアを実行するすべてのプラットフォームに世界的なサポートを提供できるよう努めています。しかし、データベースや Web ブラウザなどの新しいバージョンのリリースに伴って、複数のプラットフォームをサポートするためのコストが急激に増加し、お客様が期待されるサポート レベルをご提供することがますます難しくなっております。 このため、ベンダーにより生産終了と発表されたプラットフォーム バージョン、または広く利用されなくなった非常に古いバージョンのサポートを終了します。

このページでご案内しているサポート終了のお知らせ (新着順)

Git 2.10 以前の廃止 (2018 年 8 月 7 日に発表)

Bitbucket Server 6.0 では、Git 2.11 より前のすべてのバージョンのサポートを終了します。

  • Bitbucket Server 6.0 より前のバージョンは Git 2.2.0 以降をサポートします (Windows の Git 2.12.2 を除く、「サポート対象プラットフォーム」をご参照ください)。
  • 6.0 以降では Git 2.11.0 以降が必要になります (Windows の Git 2.12.2 を除く)。

Bitbucket Server 6.0 のリリースは 2019 年 1 月を予定しています。 

Data Center のお客様向け: Bitbucket Server 6.0 での Elasticsearch 2.3 の廃止 (2018 年 1 月 11 日に発表)

Data Center のお客様向けの Elasticsearch 2.3 のサポートをバージョン 6.0 で終了します。完全な詳細情報については「Bitbucket Server 5.7 リリース ノート」をご参照ください。サポート対象のデータベースの現在の一覧については「サポート対象プラットフォーム」をご参照ください。 

Bitbucket Server 6.0 のリリースは 2019 年 1 月を予定しています。 

PostgreSQL 9.2.x 以前の廃止 (2018 年 1 月 11 日に発表)

Bitbucket Server のバージョン 5.7 以降では、PostgreSQL 9.2.x が非推奨になっています。このバージョンのサポートは 6.0 で終了します。サポート対象のデータベースの現在の一覧については「サポート対象プラットフォーム」をご参照ください。

Bitbucket Server 6.0 のリリースは 2019 年 1 月を予定しています。 

データベース サポートの廃止 (2016 年 10 月 4 日に発表)

Bitbucket Server のバージョン 5.0 では次のデータベースのサポートを終了します。 

  • MariaDB 5.0.x、5.1.x
  • MySQL 5.0.x、5.1.x
  • Oracle 11
  • PostgreSQL 9.1.x 以降
  • SQL Server 2008 および 2008 R2

Bitbucket Server 5.0 のリリースは 2017 年上旬を予定しています。サポート対象のデータベースの現在の一覧については「サポート対象プラットフォーム」をご参照ください。 

Internet Explorer 10 の廃止 (2015 年 5 月 5 日に発表)

2015 年第 4 四半期に、Bitbucket Server は Internet Explorer 10 のサポートを終了し、Internet Explorer 11 以降のみをサポートします。「サポート対象プラットフォーム」を参照してください。

Internet Explorer 9 の廃止 (2015 年 1 月 13 日に発表)

Stash はバージョン 3.10 で Internet Explorer 9 のサポートを終了し、Internet Explorer 10 以降のみをサポートします。Stash 3.10 のリリースは 2015 年中旬を予定しています。「サポート対象プラットフォーム」を参照してください。

Java 7 の廃止 (2014 年 11 月 25 日に発表)

Bitbucket Server はバージョン 4.0 で Java 7 のサポートを終了し、Java 8 以降のみをサポートします。Bitbucket Server 4.0 のリリースは 2015 年中旬を予定しています。「サポート対象プラットフォーム」を参照してください。

Git バージョン v1.8 未満の廃止 (2014 年 11 月 25 日に発表)

Bitbucket Server バージョン 4.0 のサーバーでは Git 1.8 以降のみをサポートします (例外については「サポート対象プラットフォーム」をご参照ください)。Bitbucket Server 4.0 のリリースは 2015 年中旬を予定しています。

Tomcat 7 の廃止 (2014 年 9 月 10 日に発表)

Bitbucket Server はバージョン 4.0 で Tomcat 7 のサポートを終了し、Tomcat 8 以降のみをサポートします。Bitbucket Server 4.0 のリリースは 2015 年中旬を予定しています。「サポート対象プラットフォーム」を参照してください。

Internet Explorer 8 の廃止 (2013 年 7 月 22 日に発表)

Stash はバージョン 3.0 で Internet Explorer 8 のサポートを終了し、Internet Explorer 9 以降のみをサポートします。Stash 3.0 のリリースは 2014 年中旬を予定しています。「サポート対象プラットフォーム」を参照してください。

Java 6 の廃止 (2013 年 5 月 9 日に発表)

Stash はバージョン 3.0 で Java 6.0 のサポートを終了し、Java 7.0 以降のみをサポートします。Stash 3.0 のリリースは 2013 年中旬を予定しています。「サポート対象プラットフォーム」を参照してください。

最終更新日 2019 年 5 月 3 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する
Powered by Confluence and Scroll Viewport.